<template>
  <div>
    <ModuleHeroHeader
      ref="heroheader"
      class="bg"
      :items="{ left: slidesLeft, right: slidesRight }"
    />

    <div class="page-text">
      <div v-if="page" class="content">
        <ModuleBackgroundedText
          v-for="(item, i) in page.textboxes"
          :key="`item-${i}`"
          :color="item.text_color"
          :bgcolor="item.background_color"
          :text="item.text"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  async asyncData({ params, $api }) {
    const page = await $api.page.getPageBySlug(params.slug)
    const slidesLeft = page.data[0].slides_left
    const slidesRight = page.data[0].slides_right

    return { page: page.data[0], slidesLeft, slidesRight }
  },
  data() {
    return {
      page: null,
      dates: null,
      slidesLeft: null,
      slidesRight: null,
    }
  },
  head() {
    return {
      title: `Oh! Oui... ${this.page.title}`,
    }
  },
  mounted() {
    // fire event with page title as param

    const t = this
    setTimeout(() => {
      t.$nuxt.$emit('pageloaded', {
        title: this.page.title,
      })
    }, 500)
  },
}
</script>

<style lang="scss" scoped>
.page-text {
  @apply h-full  -mt-56;
  background: #fcfcfc;
}

.content {
  @apply px-8 py-8 flex flex-col items-center;
  left: 0;
  @screen xl {
    @apply px-16 py-16 items-start;
  }
}

@keyframes appear {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
</style>
